{% macro input(field, params = {}) %}
    {{ _self.info(field) }}
    {{ _self.label(field) }}

    {{ form_widget(field, params) }}
{% endmacro %}

{% macro label(field) %}
    <label for="{{ field.vars.id }}"
           class="{{ field.vars.required ? 'required' }}">
        {% if field.vars.required %}
            <span class="notice">*</span>
        {% endif %}
        {{ field.vars.label|trans }}
    </label>
{% endmacro %}

{% macro info(field) %}
    {% if field.vars.help %}
        <span class="info"><i class="icon-info"></i><span class="info-text">{{ field.vars.help|trans|raw }}</span></span>
    {% endif %}
{% endmacro %}

{% macro input_field(field, params = {}, wrapperDataId = '', hideNextField = false) %}
    <div class="input-wrapper{% if field.vars.help %}  input-info{% endif %}"
        {% if wrapperDataId %} data-id="{{ wrapperDataId }}"{% endif %}>
        {{ _self.input(field, params) }}

        {% if hideNextField %}
            <a href="" class="show-field" data-target="thirdName" data-plus="+" data-minus="-"></a>
        {% endif %}
    </div>
    {% if field.vars.errors|length %}
        <div class="field-error">
            {{ form_errors(field) }}
        </div>
    {% endif %}
{% endmacro %}

{% macro input_image(field, image, imagine_filter) %}
    {{ _self.input_field(field) }}

    {% if image %}
        <div class="image-preview">
            <a href="{{ uploaded_asset(image) }}" target="_blank">
                <img src="{{ uploaded_asset(image)|image_filter('settings') }}">
            </a>
            <button type="button" class="border-button delete-button" id="delete{{ field.vars['name'] }}" >X</button>
        </div>

    {% endif %}

{% endmacro %}

{% macro input_file(field) %}
    {{ _self.input_field(field) }}
{% endmacro %}

{% macro input_checkbox(field, multiple = false, agreeTerms = false) %}
    <div class="check-wrapper{% if multiple %} check-multiple{% endif %}{% if agreeTerms %} agree-terms{% endif %}">
        {{ _self.input(field) }}
    </div>

    {% if field.vars.errors|length %}
        <div class="field-error">
            {{ form_errors(field) }}
        </div>
    {% endif %}
{% endmacro %}

{% macro input_search(field) %}
    <div class="input-search">
        {{ _self.input(field) }}
    </div>
{% endmacro %}

{% macro input_date(field) %}
    <div class="input-date">
        {{ _self.input(field) }}
    </div>
{% endmacro %}
